Bug 1117691 - API for permission related operations lacks some functionality
Summary: API for permission related operations lacks some functionality
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Users & Roles
Version: 6.0.4
Hardware: Unspecified
OS: Unspecified
unspecified
low vote
Target Milestone: Unspecified
Assignee: Tomas Strachota
QA Contact: Katello QA List
URL: http://projects.theforeman.org/issues...
Whiteboard:
Keywords: Triaged
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-09 08:26 UTC by Tomas Strachota
Modified: 2016-04-22 15:05 UTC (History)
2 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2014-09-11 12:23:52 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Foreman Issue Tracker 6532 None None None 2016-04-22 15:05 UTC

Description Tomas Strachota 2014-07-09 08:26:11 UTC
* responses of usergroups' read actions should list associated roles
* there's no way to listing available resource types
* responses of filters' read actions should list associated roles and permissions
* api docs for usergroups and roles miss some parameters
* usergroups don't require name

Comment 1 Tomas Strachota 2014-07-09 08:26:13 UTC
Created from redmine issue http://projects.theforeman.org/issues/6532

Comment 2 Tomas Strachota 2014-07-09 08:26:16 UTC
Upstream bug assigned to tstrachota@redhat.com

Comment 4 Bryan Kearney 2014-07-09 18:03:39 UTC
Moving to POST since upstream bug http://projects.theforeman.org/issues/6532 has been closed
-------------
Tomáš Strachota
https://github.com/theforeman/foreman/pull/1560
-------------
Anonymous
Applied in changeset commit:14e817003a6a46fd303c28afde558e723c7ef795.

Comment 7 Bryan Kearney 2014-09-11 12:23:52 UTC
This was delivered with Satellite 6.0 which was released on 10 September 2014.


Note You need to log in before you can comment on or make changes to this bug.